Subject: bug#39138: 28.0.50; Add variables for shell command output buffer names

From: Tino Calancha <[email-masked]>
Date: Wed, 15 Jan 2020 20:41:56 +0100 (CET)

On Wed, 15 Jan 2020, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Tue, 14 Jan 2020 22:31:34 +0100
>>
>> IMO, the two strings, `*Shell Command Output*' and
>> `*Async Shell Command*', deserve variables with their docstrings.
>
> Any rationale why we should add variables for these?
I found nicer use a variable across libraries than repeat the same
string over and over.
I think, having the variable might encourage deeper library devs writing
a function launching a shell command, to use that same output buffer name.

As you see, no strong arguments; I am fine keeping the things as they are 
;-)

> Who would want to change the names, and why?
I expect no one.

> And even if we do provide such variables, I see no need to document
> them in the manual.
I agree; I would prefer not mention them in the manual.